Vista combinada Visión Plana Vista de árbol
Discusiones [ Anterior | Siguiente ]
toggle
Milan Palian
Liferay 6.1 Beta4 on Mac OS
9 de diciembre de 2011 7:20
Respuesta

Milan Palian

Ranking: Junior Member

Mensajes: 43

Fecha de incorporación: 10 de diciembre de 2009

Mensajes recientes

I just downloaded the community version 6.1 Beta4 Tomcat bundle. On startup on MacOS 10.5.8, all it says is:

 1
 2Exception in thread "main" java.lang.UnsupportedClassVersionError: Bad version number in .class file
 3    at java.lang.ClassLoader.defineClass1(Native Method)
 4    at java.lang.ClassLoader.defineClass(ClassLoader.java:676)
 5    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:124)
 6    at java.net.URLClassLoader.defineClass(URLClassLoader.java:260)
 7    at java.net.URLClassLoader.access$100(URLClassLoader.java:56)
 8    at java.net.URLClassLoader$1.run(URLClassLoader.java:195)
 9    at java.security.AccessController.doPrivileged(Native Method)
10    at java.net.URLClassLoader.findClass(URLClassLoader.java:188)
11    at java.lang.ClassLoader.loadClass(ClassLoader.java:317)
12    at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:280)
13    at java.lang.ClassLoader.loadClass(ClassLoader.java:252)
14    at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:375)


Anyone else run into this?
Juan Gonzalez
RE: Liferay 6.1 Beta4 on Mac OS
9 de diciembre de 2011 7:39
Respuesta

Juan Gonzalez

LIFERAY STAFF

Ranking: Liferay Legend

Mensajes: 2947

Fecha de incorporación: 28 de octubre de 2008

Mensajes recientes

Milan Palian:
I just downloaded the community version 6.1 Beta4 Tomcat bundle. On startup on MacOS 10.5.8, all it says is:

 1
 2Exception in thread "main" java.lang.UnsupportedClassVersionError: Bad version number in .class file
 3    at java.lang.ClassLoader.defineClass1(Native Method)
 4    at java.lang.ClassLoader.defineClass(ClassLoader.java:676)
 5    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:124)
 6    at java.net.URLClassLoader.defineClass(URLClassLoader.java:260)
 7    at java.net.URLClassLoader.access$100(URLClassLoader.java:56)
 8    at java.net.URLClassLoader$1.run(URLClassLoader.java:195)
 9    at java.security.AccessController.doPrivileged(Native Method)
10    at java.net.URLClassLoader.findClass(URLClassLoader.java:188)
11    at java.lang.ClassLoader.loadClass(ClassLoader.java:317)
12    at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:280)
13    at java.lang.ClassLoader.loadClass(ClassLoader.java:252)
14    at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:375)


Anyone else run into this?


What JVM version do you have?
Milan Palian
RE: Liferay 6.1 Beta4 on Mac OS
9 de diciembre de 2011 7:50
Respuesta

Milan Palian

Ranking: Junior Member

Mensajes: 43

Fecha de incorporación: 10 de diciembre de 2009

Mensajes recientes

I suppose that means I need Java 1.6 to run Liferay 6.1 ...
Milan Palian
RE: Liferay 6.1 Beta4 on Mac OS
10 de diciembre de 2011 3:41
Respuesta

Milan Palian

Ranking: Junior Member

Mensajes: 43

Fecha de incorporación: 10 de diciembre de 2009

Mensajes recientes

Juan Gonzalez P:

What JVM version do you have?


Apple only supports Java 1.5 on my notebook (Mac OS 10.5.8 with 32-bit Intel). Until I figure out what to do about it, I am using Linux with Java 1.6, where Liferay 6.1 works.
Juan Gonzalez
RE: Liferay 6.1 Beta4 on Mac OS
10 de diciembre de 2011 5:12
Respuesta

Juan Gonzalez

LIFERAY STAFF

Ranking: Liferay Legend

Mensajes: 2947

Fecha de incorporación: 28 de octubre de 2008

Mensajes recientes

Milan Palian:
I suppose that means I need Java 1.6 to run Liferay 6.1 ...


You could try downloading sources and compiling with JDK 1.5

In fact, latest sources have many solved issues since B4
Arno Broekhof
RE: Liferay 6.1 Beta4 on Mac OS
10 de diciembre de 2011 11:56
Respuesta

Arno Broekhof

Ranking: Junior Member

Mensajes: 42

Fecha de incorporación: 18 de octubre de 2011

Mensajes recientes

Working like a charm here.
( MacOSX 10.7.2, java 1.6.0_29 )

What version of MacOSX are you running? Leopard, Snow Leopard or Lion,
What version of java is installed? ( on a terminal window can you type: java -version )

If i am not mistaking java v1.5 was last shipped with macosx when the macs where still powerPC based,

you can also use the macports of Oracle for the java 1.7 preview edition.
http://jdk7.java.net/macportpreview/